Web

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
DELETE

List all web experiments

Required API key scopes

experiment:read

Path parameters

  • project_id
    string

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/projects/:project_id/web_experiments
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_experiments/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": 0,
"name": "string",
"created_at": "2019-08-24T14:15:22Z",
"feature_flag_key": "string",
"variants": null
}
]
}

Create web experiments

Required API key scopes

experiment:write

Path parameters

  • project_id
    string

Request parameters

  • name
    string
  • created_at
    string
  • variants

Response


Example request

POST /api/projects/:project_id/web_experiments
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_experiments/\
-d name="string",\
-d variants=undefined

Example response

Status 201
RESPONSE
{
"id": 0,
"name": "string",
"created_at": "2019-08-24T14:15:22Z",
"feature_flag_key": "string",
"variants": null
}

Retrieve web experiments

Required API key scopes

experiment:read

Path parameters

  • id
    integer
  • project_id
    string

Response


Example request

GET /api/projects/:project_id/web_experiments/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_experiments/:id/

Example response

Status 200
RESPONSE
{
"id": 0,
"name": "string",
"created_at": "2019-08-24T14:15:22Z",
"feature_flag_key": "string",
"variants": null
}

Update web experiments

Required API key scopes

experiment:write

Path parameters

  • id
    integer
  • project_id
    string

Request parameters

  • name
    string
  • created_at
    string
  • variants

Response


Example request

PATCH /api/projects/:project_id/web_experiments/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_experiments/:id/\
-d name="string"

Example response

Status 200
RESPONSE
{
"id": 0,
"name": "string",
"created_at": "2019-08-24T14:15:22Z",
"feature_flag_key": "string",
"variants": null
}

Delete web experiments

Required API key scopes

experiment:write

Path parameters

  • id
    integer
  • project_id
    string

Example request

DELETE /api/projects/:project_id/web_experiments/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/web_experiments/:id/

Example response

Status 204 No response body

Community questions

Questions about this page? or post a community question.